# Interface TransactionStatus

#### Hierarchy

- TransactionStatus

- Defined in connect/src/whscan-api.ts:15

#####
Index

### Properties

emitterAddress
emitterChain
emitterNativeAddress
globalTx?
id
payload
standardizedProperties
timestamp
txHash

## Properties

### emitterAddress

emitterAddress: string

- Defined in connect/src/whscan-api.ts:20

### emitterChain

emitterChain: number

- Defined in connect/src/whscan-api.ts:19

### emitterNativeAddress

emitterNativeAddress: string

- Defined in connect/src/whscan-api.ts:21

### `Optional` globalTx

globalTx?: {
destinationTx?: {
blockNumber: string;
chainId: number;
from: string;
method: string;
status: string;
timestamp: string;
to: string;
txHash: string;
updatedAt: string;
};
id: string;
originTx: {
from: string;
status: string;
txHash: string;
};
}

#### Type declaration

- ##### `Optional` destinationTx?: {
  blockNumber: string;
  chainId: number;
  from: string;
  method: string;
  status: string;
  timestamp: string;
  to: string;
  txHash: string;
  updatedAt: string;
  }

  - ##### blockNumber: string

  - ##### chainId: number

  - ##### from: string

  - ##### method: string

  - ##### status: string

  - ##### timestamp: string

  - ##### to: string

  - ##### txHash: string

  - ##### updatedAt: string

- ##### id: string

- ##### originTx: {
  from: string;
  status: string;
  txHash: string;
  }

  - ##### from: string

  - ##### status: string

  - ##### txHash: string

- Defined in connect/src/whscan-api.ts:48

### id

id: string

- Defined in connect/src/whscan-api.ts:16

### payload

payload: {
amount: string;
callerAppId: string;
fee: string;
fromAddress: string;
parsedPayload: any;
payload: string;
payloadType: number;
toAddress: string;
toChain: number;
tokenAddress: string;
tokenChain: number;
}

#### Type declaration

- ##### amount: string

- ##### callerAppId: string

- ##### fee: string

- ##### fromAddress: string

- ##### parsedPayload: any

- ##### payload: string

- ##### payloadType: number

- ##### toAddress: string

- ##### toChain: number

- ##### tokenAddress: string

- ##### tokenChain: number

- Defined in connect/src/whscan-api.ts:22

### standardizedProperties

standardizedProperties: {
amount: string;
appIds: string[];
fee: string;
feeAddress: string;
feeChain: number;
fromAddress: string;
fromChain: number;
toAddress: string;
toChain: number;
tokenAddress: string;
tokenChain: number;
}

#### Type declaration

- ##### amount: string

- ##### appIds: string[]

- ##### fee: string

- ##### feeAddress: string

- ##### feeChain: number

- ##### fromAddress: string

- ##### fromChain: number

- ##### toAddress: string

- ##### toChain: number

- ##### tokenAddress: string

- ##### tokenChain: number

- Defined in connect/src/whscan-api.ts:35

### timestamp

timestamp: string

- Defined in connect/src/whscan-api.ts:17

### txHash

txHash: string

- Defined in connect/src/whscan-api.ts:18

Generated using TypeDoc